Warehouses
Create a warehouse
Create a new warehouse for the company.
POST
/
api
/
settings
/
warehouses
Create a warehouse
curl --request POST \
--url https://api.fluid.app/api/settings/warehouses \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Scranton Distribution Center",
"active": true,
"default": true,
"country": {
"id": 233,
"iso": "US"
},
"address": {
"address1": "1725 Slough Avenue",
"address2": "Loading Dock B",
"city": "Scranton",
"state": "PA",
"postal_code": "18505"
}
}
'import requests
url = "https://api.fluid.app/api/settings/warehouses"
payload = {
"name": "Scranton Distribution Center",
"active": True,
"default": True,
"country": {
"id": 233,
"iso": "US"
},
"address": {
"address1": "1725 Slough Avenue",
"address2": "Loading Dock B",
"city": "Scranton",
"state": "PA",
"postal_code": "18505"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Scranton Distribution Center',
active: true,
default: true,
country: {id: 233, iso: 'US'},
address: {
address1: '1725 Slough Avenue',
address2: 'Loading Dock B',
city: 'Scranton',
state: 'PA',
postal_code: '18505'
}
})
};
fetch('https://api.fluid.app/api/settings/warehouses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"warehouse": {
"id": 48213,
"name": "Scranton Distribution Center",
"active": true,
"external_id": "DM-WH-SCR-01",
"metadata": {
"dock_doors": 4,
"climate_controlled": false
},
"country": {
"id": 233,
"iso": "US"
},
"address": {
"id": 90517,
"name": "Scranton Distribution Center",
"address1": "1725 Slough Avenue",
"address2": "Loading Dock B",
"address3": null,
"city": "Scranton",
"state": "PA",
"postal_code": "18505"
}
},
"meta": {
"request_id": "c41d7e2a-9b3f-4a18-8e6d-5f2c0b9a7e13",
"timestamp": "2026-09-14T15:42:08Z"
}
}{
"message": "<string>"
}Authorizations
Bearer token authentication
Body
application/json
⌘I
Create a warehouse
